ByCloud Docs
GuidesCLIAPISDK
get/v1/zones

List zones

List all DNS zones in the current organization

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

name

stringoptional

query

Filter by name (exact match or prefix with *)

Example: "web-*"

status

stringoptional

query

Filter by status

Example: "ACTIVE"

type

stringoptional

query

Filter by zone type

Enum: "PRIMARY", "SECONDARY"

Responses

200

List of zones

Content-Type: application/json

zones

arrayoptional

meta

objectoptional

links

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/zones" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of zones

{
"zones": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:dns:zone:550e8400-e29b-41d4-a716-446655440000",
"name": "example.com.",
"description": "Main domain zone",
"status": "ACTIVE",
"action": "NONE",
"type": "PRIMARY",
"email": "admin@example.com",
"ttl": 3600,
"serial": 2024011501,
"pool_id": "550e8400-e29b-41d4-a716-446655440000",
"masters": [
"string"
],
"attributes": {},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
},
"links": {
"self": "https://api.spo1.mycloud.com/v1/instances?limit=20",
"next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000",
"previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"
}
}